% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/markerVolcano.R
\name{markerVolcano}
\alias{markerVolcano}
\title{Marker genes volcano plot}
\arguments{
\item{markers}{Dataframe marker genes from findAllmarkers function from seurat.}

\item{ownGene}{Your own gene names to be labeled on plot, defaults is null.}

\item{topn}{Numbers top genes to label, defaults is 5.}

\item{log2FC}{The threshold of log2FC, defaults is 0.25.}

\item{hlineSize}{Hline size, defaults is 1.}

\item{hlineColor}{Hline color, defaults is "grey50".}

\item{pforce}{Positive gene force parameters to avoid overlap gene labels, defaults is 5.}

\item{nforce}{Negative gene force parameters to avoid overlap gene labels, defaults is 2.5.}

\item{nudge_x}{Adjustments on the horizontal of the gene label, defaults is 0.8.}

\item{pnudge_y}{Adjustments on the horizontal of the positive gene label, defaults is 0.25.}

\item{nnudge_y}{Adjustments on the horizontal of the negative gene label, defaults is 0.}

\item{base_size}{Theme base size, defaults is 14.}

\item{facetColor}{Facet border color, defaults is NA.}

\item{facetFill}{Facet fill color, defaults is "white".}

\item{ylab}{Plot y label, defaults is "Log2-Fold Change".}

\item{nrow}{Numbers rows to plot, defaults is 1.}
}
\value{
Return a ggplot.
}
\description{
Marker genes volcano plot
}
\examples{
test <- system.file("extdata", "pbmc.markers.csv", package = "scRNAtoolVis")
markers <- read.csv(test)

markerVolcano(
  markers = markers,
  topn = 5,
  labelCol = ggsci::pal_npg()(9)
)
}
\author{
Junjun Lao
}
